> For the complete documentation index, see [llms.txt](https://www.center.daxium-air.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.center.daxium-air.com/api-reference/custom-applications.md).

# Custom Applications

## List custom apps

> Returns all custom applications in short format. If none are configured,\
> returns the default application in full format.<br>

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"customapps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"CustomAppSummary":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"}}}}},"paths":{"/{app_short}/customapps":{"get":{"summary":"List custom apps","description":"Returns all custom applications in short format. If none are configured,\nreturns the default application in full format.\n","tags":["customapps"],"operationId":"listCustomApps","parameters":[{"$ref":"#/components/parameters/AppShort"}],"responses":{"200":{"description":"List of custom apps","content":{"application/json":{"schema":{"type":"object","properties":{"apps":{"type":"array","items":{"$ref":"#/components/schemas/CustomAppSummary"}},"total_count":{"type":"integer"},"total_pages":{"type":"integer"},"server_time":{"type":"integer","format":"int64"}}}}}}}}}}}
```

## GET /{app\_short}/customapps/{app\_id}

> Get a custom app

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"customapps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}},"schemas":{"CustomApp":{"allOf":[{"$ref":"#/components/schemas/CustomAppSummary"},{"type":"object","properties":{"banner":{"type":"object","additionalProperties":true},"splash":{"type":"object","properties":{"active":{"type":"boolean"},"image":{"type":"string","description":"Image file UUID"},"color":{"type":"string"},"aspect":{"type":"string","enum":["fit","fill"]},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"}}},"menus":{"type":"array","items":{"type":"object","properties":{"index":{"type":"integer"},"target":{"type":"string"},"label":{"type":"object","additionalProperties":{"type":"string"},"description":"Localised labels keyed by locale (e.g. `fr`, `en`)"},"icon":{"type":"object","properties":{"type":{"type":"string"},"value":{"type":"string"}}},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"}}}},"screens":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"},"pages":{"type":"array","items":{"type":"object","properties":{"system_name":{"type":"string"},"title":{"type":"object","additionalProperties":{"type":"string"}},"side_menu":{"type":"boolean"},"widgets":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"index":{"type":"integer"},"label":{"type":"object","additionalProperties":{"type":"string"}},"color":{"type":"string"},"target":{"type":"string"},"icon":{"type":"object","additionalProperties":true},"background":{"type":"string","description":"Background image UUID (full button type)"}}}},"layout":{"type":"array","items":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"},"width":{"type":"integer"},"height":{"type":"integer"}}}}}}}}}},"settings":{"type":"array","items":{}},"groups":{"type":"array","items":{}},"widget_spacing":{"type":"integer","enum":[0,1],"description":"`0` = flat mode, `1` = standard"},"button_type":{"type":"string","enum":["standard","mix","full"],"description":"`standard` = Font Awesome icon, `mix` = image icon, `full` = background image"},"label_overlay":{"type":"boolean"},"grant_all":{"type":"boolean"}}}]},"CustomAppSummary":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"created_at":{"type":"integer","format":"int64"},"updated_at":{"type":"integer","format":"int64"}}}}},"paths":{"/{app_short}/customapps/{app_id}":{"get":{"summary":"Get a custom app","tags":["customapps"],"operationId":"getCustomApp","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"app_id","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Custom app details","content":{"application/json":{"schema":{"type":"object","properties":{"app":{"$ref":"#/components/schemas/CustomApp"},"total_count":{"type":"integer"},"total_pages":{"type":"integer"},"server_time":{"type":"integer","format":"int64"},"required":{"type":"object","properties":{"files_uuid":{"type":"array","items":{"type":"string","format":"uuid"}}}}}}}}}}}}}}
```

## GET /{app\_short}/customapps/{app\_id}/file/{file\_uuid}

> Get a file from a custom app

```json
{"openapi":"3.0.3","info":{"title":"Daxium Air API","version":"v1.3"},"tags":[{"name":"customapps"}],"servers":[{"url":"https://api.daxium-air.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"AppShort":{"name":"app_short","in":"path","required":true,"description":"Short name of the workspace instance (e.g. `daxium-test`)","schema":{"type":"string"}}}},"paths":{"/{app_short}/customapps/{app_id}/file/{file_uuid}":{"get":{"summary":"Get a file from a custom app","tags":["customapps"],"operationId":"getCustomAppFile","parameters":[{"$ref":"#/components/parameters/AppShort"},{"name":"app_id","in":"path","required":true,"schema":{"type":"integer"}},{"name":"file_uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Binary file content","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.center.daxium-air.com/api-reference/custom-applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
